Subject: Fwd: Tegra 30 System hangs because of commit "pinctrl: move subsystem mutex to pinctrl_dev struct"

From: [email-masked] (Stephen Warren)
Date: Mon, 06 May 2013 14:14:39 -0600

On 05/06/2013 01:54 PM, Russell King - ARM Linux wrote:
> On Mon, May 06, 2013 at 09:41:22PM +0200, Jean-Christophe PLAGNIOL-VILLARD wrote:
>> On 21:29 Mon 06 May     , Linus Walleij wrote:
>>> On Sun, May 5, 2013 at 10:22 PM, Jean-Christophe PLAGNIOL-VILLARD
>>> <[email-masked]> wrote:
>>>
>>>> I was thinking to put a jenkins to test Linus HEAD all the time
>>>> And with some automatic test one some hw
>>>>
>>>> to detect it more quick
...
> My conclusion is that build and boot test systems just don't work in an
> open source environment as no one actively checks the results.  Why would
> they - maintainers already have enough to do with reading 6500+ emails a
> month on mailing lists.  Why bother going to look at a website as well
> which might give even more work.

Couldn't such a system email people pro-actively, so nobody had to do
any manual checking? The kisskb(?) build system does that, as does the
"zero day build system" thing from Intel, and I find them quite useful.
Personally, I do the build/test checks manually myself, so if an
automated system were to do it, it'd save me work rather than give me
more work.